{% extends 'base.html.twig' %}

{% block title %}User{% endblock %}

{% block body %}
    <h1>User</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Username</th>
                <td>{{ user.username }}</td>
            </tr>
            <tr>
                <th>UsernameCanonical</th>
                <td>{{ user.usernameCanonical }}</td>
            </tr>
            <tr>
                <th>Email</th>
                <td>{{ user.email }}</td>
            </tr>
            <tr>
                <th>EmailCanonical</th>
                <td>{{ user.emailCanonical }}</td>
            </tr>
            <tr>
                <th>Enabled</th>
                <td>{{ user.enabled ? 'Yes' : 'No' }}</td>
            </tr>
            <tr>
                <th>Salt</th>
                <td>{{ user.salt }}</td>
            </tr>
            <tr>
                <th>Password</th>
                <td>{{ user.password }}</td>
            </tr>
            <tr>
                <th>LastLogin</th>
                <td>{{ user.lastLogin ? user.lastLogin|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>ConfirmationToken</th>
                <td>{{ user.confirmationToken }}</td>
            </tr>
            <tr>
                <th>PasswordRequestedAt</th>
                <td>{{ user.passwordRequestedAt ? user.passwordRequestedAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>Roles</th>
                <td>{{ user.roles ? user.roles|join(', ') : '' }}</td>
            </tr>
            <tr>
                <th>Id</th>
                <td>{{ user.id }}</td>
            </tr>
            <tr>
                <th>Padre</th>
                <td>{{ user.padre }}</td>
            </tr>
            <tr>
                <th>Saldousd</th>
                <td>{{ user.saldousd }}</td>
            </tr>
            <tr>
                <th>Saldocuc</th>
                <td>{{ user.saldocuc }}</td>
            </tr>
            <tr>
                <th>Pais</th>
                <td>{{ user.pais }}</td>
            </tr>
            <tr>
                <th>Whatsapp</th>
                <td>{{ user.whatsapp }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('user_index') }}">back to list</a>

    <a href="{{ path('user_edit', {'id': user.id}) }}">edit</a>

    {{ include('user/_delete_form.html.twig') }}
{% endblock %}
